Here is a program that will apply points, and echo's what's in the list.
As others have said, you would be better off reading those points and comments from Excel.
I'm sure someone here will give you a pointer to where similar code exists.
This code is just to demonstrate that it's possible...
;; demo.lsp
(defun c:demo ( value / coords item itm pt)
;; Evaluate each item in the list passed into c:demo as 'value'..
(foreach itm value
(setq coords (car itm)) ; put the coordinates into a local variable name
(setq item (cadr itm)) ; put the 'item' into a local variable name
;; Now, show that they are truly in variables
(princ "\n"); blank line at command prompt
(princ (strcat "\n" "Coordinates for " item " = "
(rtos (car coords)) " " ; 1st element of list 'coords'
(rtos (cadr coords)) " " ; 2nd element of list 'coords'
(rtos (caddr coords)) "")); 3rd element of list 'coords'
(princ "\n")
) ; foreach
;; Now, put in points for each Coordinate
(setvar "PDMODE" 2)
(setvar "PDSIZE" 5)
;; make each coordinate a point
(foreach itm value
(setq coords (car itm)) ; each coordinate point
(setq pt coords); already in a point list
(command "_point" pt)
); foreach
;; and Zoom to show the points
(command "_zoom" "E")
(princ)
); function c:demo
;; Say your 'list' looks like next line, and saved in a variable called 'listx
(setq listx '(((1000 2000 0.0) "TESTO1") ((1100 2200 0.0) "TESTO2") ((800 500 0.0) "TESTO3")))
;; Next line shows how to pass the 'list' into a function called C:demo
(c:demo listx); pass in the list to the above function..
;; Copy / Paste this code into Notepad.
;; Save the file as DEMO.lsp (over-ride the .txt default) with Notepad
;; To make it run in Acad, at the command line, do a (load "c:/xxx/demo.lsp")
;; - where xxx is the folder name you saved it to.
;; You may have to push the F2 (textscreen) to see what happened.
ECCAD